/*
You MUST have some kind of blank icon. I chose to make a blank icon named 'blank.dmi'.

When you're prompted to save the file, you MUST put the .dmi extension.

After you save the new file, hit the Refresh button towards the bottom right to see
it in the File list.
*/

client
	verb
		generate_grass()
			var/icon/i = new('blank.dmi')
			for(var/y=1,y<=32,y++)
				for(var/x=1,x<=32,x++)
					var/red = rand(25,50) //choose a range of red values
					var/green = rand(150,175) //choose a range of green values
					var/blue = rand(25,50) //choose a range of blue values
					i.DrawBox(rgb(red,green,blue),x,y,x,y)
			usr<<ftp(i)


/*
This next verb is to GET a list of pixel colors in Hex HTML format, where you can just
plug those values into the DrawBox proc in place of the rgb() proc to achieve the same
effect

Make sure you set which icon the verb will look at to whatever. I chose to make a file
called 'test icon.dmi'. What you would do, is put the icon into that file to grab all
of its pixel color values.
*/

		get_pixel_colors()
			var/icon/i = new('test icon.dmi')
			var/list/L = new //list to store all the pixel color values
			for(var/y=1,y<=32,y++)
				for(var/x=1,x<=32,x++)
					var/pixel_color = i.GetPixel(x,y)
					if(!(pixel_color in L)) //if the color isn't already found
						L += pixel_color //store new color
			if(L.len)
				if(L.len == 1 && !L[1])
					alert(usr,"No icon was found in 'test icon.dmi' or entire icon is transparent","ERROR!")
				else
					for(var/color in L)
						usr<<color